<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title> &raquo;\Matrix</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>
    <div class="row">

        <div class="span4">
            <div class="btn-group view pull-right" data-toggle="buttons-radio">
                <button class="btn details" title="Show descriptions and method names">
                    <i class="icon-list"></i></button><button class="btn simple" title="Show only method names">
                    <i class="icon-align-justify"></i>
                </button>
            </div>
            <ul class="side-nav nav nav-list">
                <li class="nav-header">
                    <i class="icon-map-marker"></i> Namespaces
                </li>
                <a href="../namespaces/Matrix.html" title="Matrix">
                    <i class="icon-th"></i>Matrix
                </a>
                <ul class="nav nav-list nav-namespaces">    <li>
        <a href="../namespaces/Matrix.Operators.html" title="Operators">
            <i class="icon-th"></i>Operators
        </a>
        <ul class="nav nav-list nav-namespaces">
        </ul>
    </li>
                </ul>
            </ul>
        </div>

        <div class="span8 namespace-contents">
        <ul class="breadcrumb">
            <li><a href="../index.html"><i class="icon-th"></i></a></li>
    <li>
        <span class="divider">\</span><a href="../namespaces/Matrix.html">Matrix</a>
    </li>
        </ul>            <div class="namespace-indent">
                <h3><i class="icon-custom icon-function"></i> Functions</h3>    <div id="function_add" class="element ajax clickablefunction" data-toggle="collapse" data-target="#function_add .collapse">
        <h1>add<a href="../namespaces/Matrix.html#function_add">¶</a></h1>
        <p class="short_description">Adds two or more matrices</p>
        <div class="details collapse">
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>package
                                                </th>
                                                <td><p>Default</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrixValues</h4>
                                                <code></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p></p>                                </div>
                            </div>
        </div><a href="../namespaces/Matrix.html#function_add" class="more">« More »</a>    </div>    <div id="function_adjoint" class="element ajax clickablefunction" data-toggle="collapse" data-target="#function_adjoint .collapse">
        <h1>adjoint<a href="../namespaces/Matrix.html#function_adjoint">¶</a></h1>
        <p class="short_description">Returns the adjoint of a matrix or an array.</p>
        <div class="details collapse">
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>package
                                                </th>
                                                <td><p>Default</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd><p>If argument isn't a valid matrix or array.</p></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a>|array</code><p><p>Matrix or an array to treat as a matrix.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The new matrix</p></p>                                </div>
                            </div>
        </div><a href="../namespaces/Matrix.html#function_adjoint" class="more">« More »</a>    </div>    <div id="function_antidiagonal" class="element ajax clickablefunction" data-toggle="collapse" data-target="#function_antidiagonal .collapse">
        <h1>antidiagonal<a href="../namespaces/Matrix.html#function_antidiagonal">¶</a></h1>
        <p class="short_description">Returns the antidiagonal of a matrix or an array.</p>
        <div class="details collapse">
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>package
                                                </th>
                                                <td><p>Default</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd><p>If argument isn't a valid matrix or array.</p></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a>|array</code><p><p>Matrix or an array to treat as a matrix.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The new matrix</p></p>                                </div>
                            </div>
        </div><a href="../namespaces/Matrix.html#function_antidiagonal" class="more">« More »</a>    </div>    <div id="function_cofactors" class="element ajax clickablefunction" data-toggle="collapse" data-target="#function_cofactors .collapse">
        <h1>cofactors<a href="../namespaces/Matrix.html#function_cofactors">¶</a></h1>
        <p class="short_description">Returns the cofactors of a matrix or an array.</p>
        <div class="details collapse">
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>package
                                                </th>
                                                <td><p>Default</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd><p>If argument isn't a valid matrix or array.</p></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a>|array</code><p><p>Matrix or an array to treat as a matrix.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The new matrix</p></p>                                </div>
                            </div>
        </div><a href="../namespaces/Matrix.html#function_cofactors" class="more">« More »</a>    </div>    <div id="function_determinant" class="element ajax clickablefunction" data-toggle="collapse" data-target="#function_determinant .collapse">
        <h1>determinant<a href="../namespaces/Matrix.html#function_determinant">¶</a></h1>
        <p class="short_description">Returns the determinant of a matrix or an array.</p>
        <div class="details collapse">
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>package
                                                </th>
                                                <td><p>Default</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd><p>If argument isn't a valid matrix or array.</p></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a>|array</code><p><p>Matrix or an array to treat as a matrix.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p><p>Matrix determinant</p></p>                                </div>
                            </div>
        </div><a href="../namespaces/Matrix.html#function_determinant" class="more">« More »</a>    </div>    <div id="function_diagonal" class="element ajax clickablefunction" data-toggle="collapse" data-target="#function_diagonal .collapse">
        <h1>diagonal<a href="../namespaces/Matrix.html#function_diagonal">¶</a></h1>
        <p class="short_description">Returns the diagonal of a matrix or an array.</p>
        <div class="details collapse">
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>package
                                                </th>
                                                <td><p>Default</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd><p>If argument isn't a valid matrix or array.</p></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a>|array</code><p><p>Matrix or an array to treat as a matrix.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The new matrix</p></p>                                </div>
                            </div>
        </div><a href="../namespaces/Matrix.html#function_diagonal" class="more">« More »</a>    </div>    <div id="function_directsum" class="element ajax clickablefunction" data-toggle="collapse" data-target="#function_directsum .collapse">
        <h1>directsum<a href="../namespaces/Matrix.html#function_directsum">¶</a></h1>
        <p class="short_description">Adds two or more matrices</p>
        <div class="details collapse">
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>package
                                                </th>
                                                <td><p>Default</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrixValues</h4>
                                                <code></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p></p>                                </div>
                            </div>
        </div><a href="../namespaces/Matrix.html#function_directsum" class="more">« More »</a>    </div>    <div id="function_divideby" class="element ajax clickablefunction" data-toggle="collapse" data-target="#function_divideby .collapse">
        <h1>divideby<a href="../namespaces/Matrix.html#function_divideby">¶</a></h1>
        <p class="short_description">Divides two or more matrix numbers</p>
        <div class="details collapse">
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>package
                                                </th>
                                                <td><p>Default</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrixValues</h4>
                                                <code></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p></p>                                </div>
                            </div>
        </div><a href="../namespaces/Matrix.html#function_divideby" class="more">« More »</a>    </div>    <div id="function_divideinto" class="element ajax clickablefunction" data-toggle="collapse" data-target="#function_divideinto .collapse">
        <h1>divideinto<a href="../namespaces/Matrix.html#function_divideinto">¶</a></h1>
        <p class="short_description">Divides two or more matrix numbers</p>
        <div class="details collapse">
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>package
                                                </th>
                                                <td><p>Default</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrixValues</h4>
                                                <code></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p></p>                                </div>
                            </div>
        </div><a href="../namespaces/Matrix.html#function_divideinto" class="more">« More »</a>    </div>    <div id="function_identity" class="element ajax clickablefunction" data-toggle="collapse" data-target="#function_identity .collapse">
        <h1>identity<a href="../namespaces/Matrix.html#function_identity">¶</a></h1>
        <p class="short_description">Returns the identity of a matrix or an array.</p>
        <div class="details collapse">
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>package
                                                </th>
                                                <td><p>Default</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd><p>If argument isn't a valid matrix or array.</p></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a>|array</code><p><p>Matrix or an array to treat as a matrix.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The identity matrix</p></p>                                </div>
                            </div>
        </div><a href="../namespaces/Matrix.html#function_identity" class="more">« More »</a>    </div>    <div id="function_inverse" class="element ajax clickablefunction" data-toggle="collapse" data-target="#function_inverse .collapse">
        <h1>inverse<a href="../namespaces/Matrix.html#function_inverse">¶</a></h1>
        <p class="short_description">Returns the inverse of a matrix or an array.</p>
        <div class="details collapse">
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>package
                                                </th>
                                                <td><p>Default</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd><p>If argument isn't a valid matrix or array.</p></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a>|array</code><p><p>Matrix or an array to treat as a matrix.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The new matrix</p></p>                                </div>
                            </div>
        </div><a href="../namespaces/Matrix.html#function_inverse" class="more">« More »</a>    </div>    <div id="function_minors" class="element ajax clickablefunction" data-toggle="collapse" data-target="#function_minors .collapse">
        <h1>minors<a href="../namespaces/Matrix.html#function_minors">¶</a></h1>
        <p class="short_description">Returns the minors of a matrix or an array.</p>
        <div class="details collapse">
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>package
                                                </th>
                                                <td><p>Default</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd><p>If argument isn't a valid matrix or array.</p></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a>|array</code><p><p>Matrix or an array to treat as a matrix.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The new matrix</p></p>                                </div>
                            </div>
        </div><a href="../namespaces/Matrix.html#function_minors" class="more">« More »</a>    </div>    <div id="function_multiply" class="element ajax clickablefunction" data-toggle="collapse" data-target="#function_multiply .collapse">
        <h1>multiply<a href="../namespaces/Matrix.html#function_multiply">¶</a></h1>
        <p class="short_description">Multiplies two or more matrices</p>
        <div class="details collapse">
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>package
                                                </th>
                                                <td><p>Default</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrixValues</h4>
                                                <code></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p></p>                                </div>
                            </div>
        </div><a href="../namespaces/Matrix.html#function_multiply" class="more">« More »</a>    </div>    <div id="function_subtract" class="element ajax clickablefunction" data-toggle="collapse" data-target="#function_subtract .collapse">
        <h1>subtract<a href="../namespaces/Matrix.html#function_subtract">¶</a></h1>
        <p class="short_description">Subtracts two or more matrices</p>
        <div class="details collapse">
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>package
                                                </th>
                                                <td><p>Default</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrixValues</h4>
                                                <code></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p></p>                                </div>
                            </div>
        </div><a href="../namespaces/Matrix.html#function_subtract" class="more">« More »</a>    </div>    <div id="function_trace" class="element ajax clickablefunction" data-toggle="collapse" data-target="#function_trace .collapse">
        <h1>trace<a href="../namespaces/Matrix.html#function_trace">¶</a></h1>
        <p class="short_description">Returns the trace of a matrix or an array.</p>
        <div class="details collapse">
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>package
                                                </th>
                                                <td><p>Default</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd><p>If argument isn't a valid matrix or array.</p></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a>|array</code><p><p>Matrix or an array to treat as a matrix.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p><p>The trace of the matrix</p></p>                                </div>
                            </div>
        </div><a href="../namespaces/Matrix.html#function_trace" class="more">« More »</a>    </div>    <div id="function_transpose" class="element ajax clickablefunction" data-toggle="collapse" data-target="#function_transpose .collapse">
        <h1>transpose<a href="../namespaces/Matrix.html#function_transpose">¶</a></h1>
        <p class="short_description">Returns the transpose of a matrix or an array.</p>
        <div class="details collapse">
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>package
                                                </th>
                                                <td><p>Default</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd><p>If argument isn't a valid matrix or array.</p></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a>|array</code><p><p>Matrix or an array to treat as a matrix.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The transposed matrix</p></p>                                </div>
                            </div>
        </div><a href="../namespaces/Matrix.html#function_transpose" class="more">« More »</a>    </div>            </div>            <div class="namespace-indent">
                <h3><i class="icon-custom icon-class"></i> Classes, interfaces and traits</h3>    <div id="class_Autoloader" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Autoloader .collapse">
        <h1>Autoloader<a href="../classes/Matrix.Autoloader.html">¶</a></h1>
        <p class="short_description">Autoloader for Matrix classes</p>
        <div class="details collapse">        </div><a href="../classes/Matrix.Autoloader.html" class="more">« More »</a>    </div>    <div id="class_Builder" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Builder .collapse">
        <h1>Builder<a href="../classes/Matrix.Builder.html">¶</a></h1>
        <p class="short_description">Matrix Builder class.</p>
        <div class="details collapse">        </div><a href="../classes/Matrix.Builder.html" class="more">« More »</a>    </div>    <div id="class_Exception" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Exception .collapse">
        <h1>Exception<a href="../classes/Matrix.Exception.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/Matrix.Exception.html" class="more">« More »</a>    </div>    <div id="class_Functions" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Functions .collapse">
        <h1>Functions<a href="../classes/Matrix.Functions.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/Matrix.Functions.html" class="more">« More »</a>    </div>    <div id="class_Matrix" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Matrix .collapse">
        <h1>Matrix<a href="../classes/Matrix.Matrix.html">¶</a></h1>
        <p class="short_description">Matrix object.</p>
        <div class="details collapse">        </div><a href="../classes/Matrix.Matrix.html" class="more">« More »</a>    </div>            </div>
        <ul class="breadcrumb">
            <li><a href="../index.html"><i class="icon-th"></i></a></li>
    <li>
        <span class="divider">\</span><a href="../namespaces/Matrix.html">Matrix</a>
    </li>
    <li>
        <span class="divider">\</span><a href="../namespaces/Matrix.Operators.html">Operators</a>
    </li>
        </ul>            <div class="namespace-indent">
                <h3><i class="icon-custom icon-class"></i> Classes, interfaces and traits</h3>    <div id="class_Addition" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Addition .collapse">
        <h1>Addition<a href="../classes/Matrix.Operators.Addition.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/Matrix.Operators.Addition.html" class="more">« More »</a>    </div>    <div id="class_DirectSum" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_DirectSum .collapse">
        <h1>DirectSum<a href="../classes/Matrix.Operators.DirectSum.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/Matrix.Operators.DirectSum.html" class="more">« More »</a>    </div>    <div id="class_Division" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Division .collapse">
        <h1>Division<a href="../classes/Matrix.Operators.Division.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/Matrix.Operators.Division.html" class="more">« More »</a>    </div>    <div id="class_Multiplication" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Multiplication .collapse">
        <h1>Multiplication<a href="../classes/Matrix.Operators.Multiplication.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/Matrix.Operators.Multiplication.html" class="more">« More »</a>    </div>    <div id="class_Operator" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Operator .collapse">
        <h1>Operator<a href="../classes/Matrix.Operators.Operator.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/Matrix.Operators.Operator.html" class="more">« More »</a>    </div>    <div id="class_Subtraction" class="element ajax clickableclass" data-toggle="collapse" data-target="#class_Subtraction .collapse">
        <h1>Subtraction<a href="../classes/Matrix.Operators.Subtraction.html">¶</a></h1>
        <p class="short_description"></p>
        <div class="details collapse">        </div><a href="../classes/Matrix.Operators.Subtraction.html" class="more">« More »</a>    </div>            </div>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:42 +0000.<br/>
    </footer></body>
</html>
